Retrieve workflow email campaigns
curl --request GET \
--url https://api.hubapi.com/automation/v4/flows/email-campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/flows/email-campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/flows/email-campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"emailCampaignId": "<string>",
"emailContentId": "<string>",
"flowId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Workflows
Retrieve workflow email campaigns
Retrieve a list of email campaigns associated with automation flows, with optional pagination using ‘after’, ‘before’, and ‘limit’ query parameters.
GET
/
automation
/
v4
/
flows
/
email-campaigns
Retrieve workflow email campaigns
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Last modified on March 30, 2026
Was this page helpful?
⌘I